package net.chrisrichardson.foodToGo.order;



import java.io.*;
import java.util.*;
import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.util.*;


public class Order  {
    
    private Date deliveryTime;

    private Restaurant restaurant;
    private ArrayList lineItems;
    private PaymentInformation paymentInformation;

    private String deliveryStreet1;
    private String deliveryStreet2;
    private String deliveryCity;
    private String deliveryState;
    private String deliveryZip;


    public Order() {
    }

    public Order(
        Address deliveryAddress,
        Date deliveryDate,
        Restaurant restaurant,
        PaymentInformation paymentInformation) {
            setDeliveryAddress(deliveryAddress);
            this.deliveryTime = deliveryDate;
            this.restaurant = (Restaurant) restaurant;
            // payment information
            this.lineItems = new ArrayList();
    }

   protected void setDeliveryAddress(Address address) {
        if (address == null) {
            setDeliveryStreet1(null);
            setDeliveryStreet2(null);
            setDeliveryCity(null);
            setDeliveryState(null);
            setDeliveryZip(null);
        } else {
            setDeliveryStreet1(address.getStreet1());
            setDeliveryStreet2(address.getStreet2());
            setDeliveryCity(address.getCity());
            setDeliveryState(address.getState());
            setDeliveryZip(address.getZip());
        }
    }


    //    public Address getDeliveryAddress() {
    //        return deliveryAddress;
    //    }
    //
    //    public void setDeliveryAddress(Address deliveryAddress) {
    //        this.deliveryAddress = deliveryAddress;
    //    }

    public Date getDeliveryTime() {
        return deliveryTime;
    }

    public Restaurant getRestaurant() {
        return restaurant;
    }

    public PendingOrderLineItemCollection getLineItems() {
        return new PendingOrderLineItemCollection(lineItems);
    }

    public PaymentInformation getPaymentInformation() {
        return paymentInformation;
    }

    public Address getDeliveryAddress() {
        String zip = getDeliveryZip();
        if (zip == null)
            return null;
        else
            return new Address(
                getDeliveryStreet1(),
                getDeliveryStreet2(),
                getDeliveryCity(),
                getDeliveryState(),
                zip);
    }

    private String getDeliveryZip() {
        return deliveryZip;
    }

    private String getDeliveryCity() {
        return deliveryCity;
    }

    public void noteNotificationSent() {
    }

    private String getDeliveryStreet1() {
        return deliveryStreet1;
    }

    private String getDeliveryState() {
        return deliveryState;
    }

    private String getDeliveryStreet2() {
        return deliveryStreet2;
    }

    private void setDeliveryZip(String deliveryCip) {
        this.deliveryZip = deliveryCip;
    }

    private void setDeliveryCity(String deliveryCity) {
        this.deliveryCity = deliveryCity;
    }

    private void setDeliveryStreet1(String deliveryDtreet1) {
        this.deliveryStreet1 = deliveryDtreet1;
    }

    private void setDeliveryState(String deliveryState) {
        this.deliveryState = deliveryState;
    }

    private void setDeliveryStreet2(String deliveryStreet2) {
        this.deliveryStreet2 = deliveryStreet2;
    }
    
    public void add(MenuItem menuItem, int i) {
        lineItems.add(new OrderLineItem(this, menuItem, i));
    }

}
