package net.chrisrichardson.foodToGo.order.jdoImpl;

import javax.jdo.*;
import javax.naming.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.util.*;

/*
 * Implementation for an application server environment
 */

public class JDOContainerTxnManager implements TxnManager {
    private PersistenceManagerFactory pmf;

    public JDOContainerTxnManager() {
        Context ctx = null;
        try {
            ctx = ContextFactory.makeContext();
            pmf = (PersistenceManagerFactory) ctx.lookup("java:/jdo_foodToGo_jdogenie");
    	    //pmf = (PersistenceManagerFactory) ctx.lookup("jdo_foodToGo_jdogenie");
        } catch (NamingException e) {
            e.printStackTrace();
            throw new RuntimeException();
        } finally {
            try {
                ctx.close();
            } catch (NamingException e) {
            }
        }
    }

    public void open() {
        PMRegistry.setPM(pmf.getPersistenceManager());
    }

    public void close() {
        PersistenceManager pm = PMRegistry.getPM();
        PMRegistry.setPM(null);
        pm.close();
    }

}
