package net.chrisrichardson.foodToGo.order.jdoImpl;

import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.creditCardProcessing.testImpl.*;
import net.chrisrichardson.foodToGo.order.*;

/*
 * Configures the factories and repositories to use JDO
 */
 
public class JDODomainConfigurator extends BaseDomainConfigurator {
    
	protected CreditCardProcessorImpl makeCreditCardProcessor() {
        return new CreditCardProcessorTestImpl(null);
	}

	protected TxnManagerFactoryImpl makeDomainManager() {
		return new JDOContainerTxnManagerFactory();
	}

	protected OrderFactoryImpl makeOrderFactory() {
		return new JDOOrderFactoryImpl();
	}

	protected OrderRepositoryImpl makeOrderRepository() {
		return new JDOOrderRepositoryImpl();
	}

	protected PendingOrderRepositoryImpl makePendingOrderRepository() {
		return new JDOPendingOrderRepositoryImpl();
	}

	protected RestaurantRepositoryImpl makeRestaurantRepository() {
		return new JDORestaurantRepositoryImpl();
	}

}
