package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.util.*;

import javax.jdo.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.jdoImpl.*;

public class JDOPendingOrderTestData extends PendingOrderTestData {
	
    public JDOPendingOrderTestData() {
        this(true);
    }
    
    public JDOPendingOrderTestData(boolean create) { 
        super(create);
	}

	protected MenuItem makeMenuItem(int index, String description, double price) {
		return new MenuItem(index, description, price);
	}

	protected Restaurant makeRestaurant(
		String name,
		String zipCode,
		OpeningHours openingHours,
		Collection menuItems) {
		return new Restaurant(name, zipCode, openingHours, menuItems);
	}

	protected void loadData() {
        PersistenceManager pm = PMRegistry.getPM();
        restaurant1 = loadRestaurant(pm, RESTAURANT_ID1);
        restaurant1a = loadRestaurant(pm, RESTAURANT_ID1a);
        restaurant2 = loadRestaurant(pm, RESTAURANT_ID2);
	}

	private Restaurant loadRestaurant(PersistenceManager pm, String id) {        
        Object objectId = pm.newObjectIdInstance(Restaurant.class, id);
		return (Restaurant)pm.getObjectById(objectId, true);
	}


}
