package net.chrisrichardson.foodToGo.order.jdoImpl;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.testImpl.*;

public class JDOPendingOrderTests extends PendingOrderTests {

    public JDOPendingOrderTests(String s) {
        super(s);
    }

    private JDOTestCaseHelper testHelper;

    protected void tearDown() throws Exception {
        super.tearDown();
        testHelper.tearDown();
    }

    protected void configureFactories() throws Exception {
        new JDODomainConfigurator().configure();
        testHelper = new JDOTestCaseHelper();
        testHelper.setUp();
    }

    protected PendingOrder makePendingOrder() {
        PendingOrder pendingOrder = PendingOrderRepository.createPendingOrder();
        testHelper.checkpoint();
        return pendingOrder;
    }

    public class JDOPendingOrderTestHelper extends PendingOrderTestHelper {
        public JDOPendingOrderTestHelper(PendingOrder pendingOrder, PendingOrderTestData data) {
            super(pendingOrder, data);
        }

        protected void checkpoint() {
            testHelper.checkpoint();
        }

    }

    protected PendingOrderTestHelper makePendingOrderTestHelper(PendingOrder pendingOrder) {
        PendingOrderTestData testData = new JDOPendingOrderTestData(false);
        return new JDOPendingOrderTestHelper(pendingOrder, testData);
    }

}
