package net.chrisrichardson.foodToGo.order.testImpl;

import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.creditCardProcessing.testImpl.*;
import net.chrisrichardson.foodToGo.order.*;

/*
 * Configures the repositories and factories to use in-memory
 * objects
 */
 
public class TestDomainConfigurator extends BaseDomainConfigurator {
    
    private PendingOrderTestData data;
    
    public TestDomainConfigurator(PendingOrderTestData data) {
        this.data = data;
    }
   
    public static PendingOrderTestData initialize() {
        PendingOrderTestData data = new PendingOrderTestData();
        new TestDomainConfigurator(data).configure();
        return data;
    }
    
    protected CreditCardProcessorImpl makeCreditCardProcessor() {
        return new CreditCardProcessorTestImpl(data);
    }


    protected RestaurantRepositoryImpl makeRestaurantRepository() {
        return new TestRestaurantRepositoryImpl(data);
    }


    protected PendingOrderRepositoryImpl makePendingOrderRepository() {
        return new TestPendingOrderRepositoryImpl(data);
    }


    protected OrderRepositoryImpl makeOrderRepository() {
        return new TestOrderRepositoryImpl(data);
    }


    protected OrderFactoryImpl makeOrderFactory() {
        return new TestOrderFactoryImpl(data);
    }


    protected TxnManagerFactoryImpl makeDomainManager() {
        return new TestTxnManagerFactory();
    }

}
