package net.chrisrichardson.foodToGo.order.testImpl;

import java.util.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.util.*;

/*
 * In Memory PendingOrderRepository
 */
 
public class TestPendingOrderRepositoryImpl implements PendingOrderRepositoryImpl {
    
    private PendingOrderTestData data;
    
    public TestPendingOrderRepositoryImpl(PendingOrderTestData data) {
        this.data = data;
    }


    public PendingOrder createPendingOrder() {
        PendingOrder order = new PendingOrder();
        data.add(order);
        return order;
    }

    public PendingOrder findPendingOrder(String pendingOrderId) {
        for (Iterator it = data.pendingOrders.iterator(); it.hasNext();) {
            PendingOrder order = (PendingOrder) it.next();
            if (getObjectId(order).equals(pendingOrderId))
                return order;
        }
        throw new NotYetImplementedException("not found");
    }

    public String getObjectId(PendingOrder order) {
        return data.getObjectId(order);
    }
   
}
