/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService;


import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.orderService.values.*;
import net.chrisrichardson.foodToGo.util.*;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

/*
 * The session facade remote interface
 */
 
public interface DBProcessOrderService extends EJBObject {
    public EnterDeliveryAddressAndTimeResponse enterDeliveryAddressAndTime(String pendingOrderId, Address deliveryAddress, Date deliveryDate)
            throws RemoteException;

    public EnterDeliveryAddressAndTimeResponse confirmDeliveryAddressAndTimeChange(String pendingOrderId, Address pendingDeliveryAddress, Date pendingDeliveryTime)
            throws RemoteException;

    public SelectRestaurantResponse selectRestaurant(String pendingOrderId, String restaurantId)
            throws RemoteException;

    public UpdateQuantitiesResponse updateQuantities(String pendingOrderId, int[] quantities)
            throws RemoteException;

    public CheckoutResponse checkout(String pendingOrderId)
            throws RemoteException;

    public EnterPaymentInformationResponse enterPaymentInformation(String pendingOrderId, PaymentInformation paymentInformation)
            throws RemoteException;

    public PlaceOrderResponse placeOrder(String pendingOrderId)
            throws RemoteException;

    public PendingOrderValue getPendingOrder(String pendingOrderId)
        throws RemoteException;


}
