/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;

import net.chrisrichardson.foodToGo.orderService.values.*;


public class EnterDeliveryAddressAndTimeResponse extends ProcessOrderServiceResponse {

    public static final int CONFIRM_CHANGE = 0;
    public static final int NO_RESTAURANT_AVAILABLE = 1;
    public static final int SELECT_RESTAURANT = 2;
    public static final int BAD_STATE = 3;
    public static final int KEEP_RESTAURANT = 4;

    private RestaurantValuePagedCollection restaurants;

    public EnterDeliveryAddressAndTimeResponse() {
    }
 
    public EnterDeliveryAddressAndTimeResponse(int status, PendingOrderValue pov, RestaurantValuePagedCollection restaurants) {
        super(status, pov);
        this.restaurants = restaurants;
    }

    public EnterDeliveryAddressAndTimeResponse(int status, String pendingOrderId, PendingOrderValue pov, RestaurantValuePagedCollection restaurants) {
        super(status, pendingOrderId, pov);
        this.restaurants = restaurants;
    }

    public RestaurantValuePagedCollection getRestaurants() {
        return restaurants;
    }


}
