/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */

package net.chrisrichardson.foodToGo.orderService.values;

import java.sql.*;
import java.io.*;

public class OrderSearchCriteria implements Serializable {

    public static final int SORT_BY_ORDER_ID = 0;
    public static final int SORT_BY_ORDER_DATE = 1;

    private Date fromState;
    private Date toDate;
    private String orderId;
    private String deliveryCity;
    private String status;
    private String restaurantName;

    private int sortBy = SORT_BY_ORDER_ID;
    private boolean sortAscending = true;
    
    public String getDeliveryCity() {
        return deliveryCity;
    }

    public void setDeliveryCity(String deliveryCity) {
        this.deliveryCity = deliveryCity;
    }

    public boolean isDeliveryCitySpecified() {
        return isSpecified(deliveryCity);
    }

    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    public boolean isStatusSpecified() {
        return isSpecified(status);
    }

    boolean isSpecified(String s) {
        return s != null && !s.equals("");
    }
    public String getRestaurantName() {
        return restaurantName;
    }

    public void setRestaurantName(String restaurantName) {
        this.restaurantName = restaurantName;
    }

    public boolean isRestaurantSpecified() {
        return isSpecified(restaurantName);
    }
    public boolean isSortAscending() {
        return sortAscending;
    }

    public int getSortBy() {
        return sortBy;
    }

    public void setSortAscending(boolean sortAscending) {
        this.sortAscending = sortAscending;
    }

    public void setSortBy(int sortBy) {
        this.sortBy = sortBy;
    }

}