/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;

import java.util.*;
import java.io.*;

public class RestaurantValuePagedCollection implements Serializable {
    private int totalSize;
    private int firstIndex;
    private int size;
    private RestaurantValueCollection restaurants;

    public RestaurantValuePagedCollection(int totalSize, int firstIndex, int size, RestaurantValueCollection restaurants) {
        this.totalSize = totalSize;
        this.firstIndex = firstIndex;
        this.size = size;
        this.restaurants = restaurants;
    }

    public int getTotalSize() {
        return totalSize;
    }

    public Iterator iterator() {
        return restaurants.iterator();
    }

    public int getFirstIndex() {
        return firstIndex;
    }

    public int getSize() {
        return size;
    }

    public boolean isEmpty() {
        return totalSize == 0;
    }
}
