package net.chrisrichardson.foodToGo.util;

import java.io.*;
import java.util.*;

import net.chrisrichardson.foodToGo.order.*;

/*
 * Reads the factory.properties file
 */
 
public class ConfigurationFactory extends BaseConfigurationFactory {

    public static ConfigurationFactory theInstance;
   
    private ConfigurationFactory() {
        super("factory.properties", ConfigurationFactory.class);
    }

    public static ConfigurationFactory getInstance() {
        if (theInstance == null)
            synchronized (ConfigurationFactory.class) {
                if (theInstance == null)
                    theInstance = new ConfigurationFactory();
           }
        return theInstance;
    }

}
