package net.chrisrichardson.foodToGo.util;

import javax.naming.*;
import javax.rmi.*;
import java.util.*;

public class EJBHomeFactory {


    private EJBHomeFactory() {
    }

    private static EJBHomeFactory theInstance;

    public static EJBHomeFactory getInstance() {

        if (theInstance == null) {
            synchronized (EJBHomeFactory.class) {
                if (theInstance == null) {
                    theInstance = new EJBHomeFactory();
                }
            };
        }
        return theInstance;
    }

    public Object lookup(String name, Class type) throws NamingException {
        Context ctx = null;
        try {
            ctx = ContextFactory.makeContext();
            Object object = ctx.lookup(name);
            Object home = PortableRemoteObject.narrow(object, type);
            return home;
        } finally {
            try {
                if (ctx != null)
                    ctx.close();
            } catch (NamingException e) {
            }
        }
    }
}
